# Interface IMediaDataTransformation

#### Hierarchy

- IMediaDataTransformation

- Defined in file/media/data.ts:1

#####
Index

### Properties

emus
flip?
pixels
rotation?

## Properties

### `Readonly` emus

emus: {
x: number;
y: number;
}

#### Type declaration

- ##### `Readonly` x: number

- ##### `Readonly` y: number

- Defined in file/media/data.ts:6

### `Optional` `Readonly` flip

flip?: {
horizontal?: boolean;
vertical?: boolean;
}

#### Type declaration

- ##### `Optional` `Readonly` horizontal?: boolean

- ##### `Optional` `Readonly` vertical?: boolean

- Defined in file/media/data.ts:10

### `Readonly` pixels

pixels: {
x: number;
y: number;
}

#### Type declaration

- ##### `Readonly` x: number

- ##### `Readonly` y: number

- Defined in file/media/data.ts:2

### `Optional` `Readonly` rotation

rotation?: number

- Defined in file/media/data.ts:14

Generated using TypeDoc